diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/__init__.py
index 8c6f79f4..b45b7682 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/__init__.py
@@ -208,10 +208,16 @@ class SequenceView(PGChildNodeView, SchemaDiffObjectCompare):
 
         """
         res = []
+        show_internal = False
+        # If show_system_objects is true then no need to hide any sequences.
+        if self.blueprint.show_system_objects:
+            show_internal = True
+
         SQL = render_template(
             "/".join([self.template_path, self._NODES_SQL]),
             scid=scid,
-            seid=seid
+            seid=seid,
+            show_internal=show_internal
         )
         status, rset = self.conn.execute_dict(SQL)
         if not status:
@@ -231,8 +237,7 @@ class SequenceView(PGChildNodeView, SchemaDiffObjectCompare):
                 status=200
             )
 
-        sequence_nodes = self._get_sequence_nodes(rset['rows'])
-        for row in sequence_nodes:
+        for row in rset['rows']:
             res.append(
                 self.blueprint.generate_browser_node(
                     row['oid'],
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/templates/sequences/sql/default/nodes.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/templates/sequences/sql/default/nodes.sql
index 64418dc7..4e61328b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/templates/sequences/sql/default/nodes.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/templates/sequences/sql/default/nodes.sql
@@ -1,5 +1,8 @@
 SELECT cl.oid as oid, relname as name, relnamespace as schema
 FROM pg_catalog.pg_class cl
+{% if show_internal %}
+LEFT JOIN pg_catalog.pg_depend d1 ON d1.refobjid = cl.oid AND d1.deptype = 'i'
+{% endif %}
 WHERE
     relkind = 'S'
 {% if scid %}
